---
title: "List reporting periods"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/periods`

## Path parameters

- `id` (`entity-list-reporting-periods.path.id`; string, required)
  - format `uuid`

## Query parameters

- `startDate` (`entity-list-reporting-periods.query.startDate`; string, optional)
- `endDate` (`entity-list-reporting-periods.query.endDate`; string, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/periods'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/periods';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/periods"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
[
  {
    "name": "string",
    "startDate": "2019-08-24T14:15:22Z",
    "endDate": "2019-08-24T14:15:22Z",
    "periodType": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "createdAt": "2019-08-24T14:15:22Z"
  }
]
```

- `name` (`entity-list-reporting-periods.response.200.name`; string, required)
  - minLength 1
- `startDate` (`entity-list-reporting-periods.response.200.startDate`; string, required)
  - format `date-time`
- `endDate` (`entity-list-reporting-periods.response.200.endDate`; string, required)
  - format `date-time`
- `periodType` (`entity-list-reporting-periods.response.200.periodType`; string, required)
  - minLength 1
- `id` (`entity-list-reporting-periods.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-list-reporting-periods.response.200.entityId`; string, required)
  - format `uuid`
- `createdAt` (`entity-list-reporting-periods.response.200.createdAt`; string, required)
  - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.400.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.401.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.403.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.404.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.409.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.422.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.429.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.500.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-reporting-periods.response.503.error`; object, required)
  - `code` (`entity-list-reporting-periods.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-reporting-periods.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-reporting-periods.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-reporting-periods.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-list-reporting-periods/index.md
